Bug 2156796 - Review Request: rust-joinery - Small crate for generically joining iterators with a separator
Summary: Review Request: rust-joinery - Small crate for generically joining iterators ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Davide Cavalca
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ITP-rust-pore 2156801
TreeView+ depends on / blocked
 
Reported: 2022-12-28 20:06 UTC by Michel Lind
Modified: 2023-01-05 01:46 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-01-04 01:24:29 UTC
Type: ---
Embargoed:
davide: fedora-review+


Attachments (Terms of Use)

Description Michel Lind 2022-12-28 20:06:10 UTC
Spec URL: https://salimma.fedorapeople.org/rust-joinery.spec
SRPM URL: https://salimma.fedorapeople.org/rust-joinery-3.1.0-1.fc37.src.rpm

Description:
Small crate for generically joining iterators with a separator.

Fedora Account System Username: salimma

Comment 1 Michel Lind 2022-12-28 20:11:45 UTC
Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=95667882

Comment 2 Davide Cavalca 2022-12-28 20:22:37 UTC
Package was generated with rust2rpm, simplifying the review.

- package builds and installs without errors on rawhide
- test suite is run and all unit tests pass
- latest version of the crate is packaged
- license matches upstream specification and is acceptable for Fedora
- license file is included with %license in %files
- package complies with Rust Packaging Guidelines

Package APPROVED.

Comment 3 Michel Lind 2022-12-28 20:26:03 UTC
Thanks!

fedora/pkgs-sig-rust/pore 
⬢ [fedora-toolbox:37] ❯ set -gx C joinery

fedora/pkgs-sig-rust/pore 
⬢ [fedora-toolbox:37] ❯ set -gx B 2156796

fedora/pkgs-sig-rust/pore 
⬢ [fedora-toolbox:37] ❯ fedpkg request-repo rust-$C $B
https://pagure.io/releng/fedora-scm-requests/issue/50037

fedora/pkgs-sig-rust/pore took 5s 
⬢ [fedora-toolbox:37] ❯ fedpkg request-branch --repo rust-$C epel9
https://pagure.io/releng/fedora-scm-requests/issue/50038

fedora/pkgs-sig-rust/pore took 5s 
⬢ [fedora-toolbox:37] ❯ fedpkg request-branch --repo rust-$C --all-releases
https://pagure.io/releng/fedora-scm-requests/issue/50039
https://pagure.io/releng/fedora-scm-requests/issue/50040

Comment 4 Kevin Fenzi 2022-12-29 18:17:18 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/rust-joinery

Comment 5 Fedora Update System 2023-01-03 00:27:48 UTC
FEDORA-EPEL-2023-ae11e26767 has been submitted as an update to Fedora EPEL 9. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-ae11e26767

Comment 6 Fedora Update System 2023-01-03 03:55:16 UTC
FEDORA-2023-815ee95850 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2023-815ee95850

Comment 7 Fedora Update System 2023-01-03 04:00:21 UTC
FEDORA-2023-74ed908696 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-74ed908696

Comment 8 Fedora Update System 2023-01-04 01:24:29 UTC
FEDORA-2023-74ed908696 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2023-01-04 01:32:48 UTC
FEDORA-2023-815ee95850 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2023-01-04 02:19:02 UTC
FEDORA-EPEL-2023-ae11e26767 has been pushed to the Fedora EPEL 9 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-ae11e26767

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2023-01-05 01:46:47 UTC
FEDORA-EPEL-2023-ae11e26767 has been pushed to the Fedora EPEL 9 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.